//
//  Gameplay.h
//  CowboyGame
//
//  Created by Michael on 12/02/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Gamekit/Gamekit.h>
#import "cocos2d.h"
@interface Gameplay : NSObject <GKPeerPickerControllerDelegate, GKSessionDelegate> {
    NSMutableArray *selectedCards;
    int playerFame;
    int serverPlayerAttack;
    int serverPlayerDefence;
    int serverPlayerFame;
    int serverPlayerTotalValue;
    
    int clientPlayerAttack;
    int clientPlayerDefence;
    int clientPlayerFame;
    int clientPlayerTotalValue;
    
    int randomValue;
    
    int endingType;
    
    // Session Object
    GKSession *gameSession;
    // PeerPicker Object
    GKPeerPickerController *peerPicker;
    // Array of peers connected
    NSMutableArray *arrayPeers;
    
}

//Server player (own device) values
@property (nonatomic) int serverPlayerAttack;
@property (nonatomic) int serverPlayerDefence;
@property (nonatomic) int serverPlayerFame;
@property (nonatomic) int serverPlayerTotalValue;

//Client player (other device) values
@property (nonatomic) int clientPlayerAttack;
@property (nonatomic) int clientPlayerDefence;
@property (nonatomic) int clientPlayerFame;
@property (nonatomic) int clientPlayerTotalValue;

@property (nonatomic) int endingType;


@property (retain) GKSession *gameSession;

//Calculates the winner of a comfrontation
- (void) startGameplay;

- (void) calculateWinner;


//Loads in the values from plist and other player
- (void) generateValues;

- (void) gameplayFunction;

@end
